Bug 160651 - kmail crash signel 4 SIGILL
Summary: kmail crash signel 4 SIGILL
Status: RESOLVED REMIND
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-10 12:52 UTC by Engelbert Kufleitner
Modified: 2008-07-29 15:06 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Engelbert Kufleitner 2008-04-10 12:52:17 UTC
Version:            (using KDE 3.5.9)
Installed from:    SuSE RPMs
OS:                Linux

Überprüfung der Systemkonfiguration beim Start deaktiviert.

[?1034h(no debugging symbols found)
Using host libthread_db library "/lib/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb58a66d0 (LWP 5319)]
[New Thread 0xb3863b90 (LWP 5323)]
[New Thread 0xb4064b90 (LWP 5322)]
[New Thread 0xb4865b90 (LWP 5321)]
[New Thread 0xb5066b90 (LWP 5320)]
[KCrash handler]
#6  0xb6a1c631 in DwField::Clone () from /opt/kde3/lib/libmimelib.so.1
#7  0xb6a1deb8 in DwHeaders::CopyFields () from /opt/kde3/lib/libmimelib.so.1
#8  0xb6a20228 in DwHeaders::DwHeaders () from /opt/kde3/lib/libmimelib.so.1
#9  0xb6a20284 in DwHeaders::Clone () from /opt/kde3/lib/libmimelib.so.1
#10 0xb6a1b632 in DwEntity::DwEntity () from /opt/kde3/lib/libmimelib.so.1
#11 0xb6a15599 in DwBodyPart::DwBodyPart () from /opt/kde3/lib/libmimelib.so.1
#12 0xb7d8b53f in partNode::fromMessage ()
   from /opt/kde3/lib/libkmailprivate.so
#13 0xb7c49ab2 in KMReaderWin::parseMsg ()
   from /opt/kde3/lib/libkmailprivate.so
#14 0xb7c46408 in KMReaderWin::displayMessage ()
   from /opt/kde3/lib/libkmailprivate.so
#15 0xb7c46615 in KMReaderWin::updateReaderWin ()
   from /opt/kde3/lib/libkmailprivate.so
#16 0xb7c495bd in KMReaderWin::qt_invoke ()
   from /opt/kde3/lib/libkmailprivate.so
#17 0xb731796d in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#18 0xb731850d in QObject::activate_signal ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#19 0xb764dcc9 in QTimer::timeout () from /usr/lib/qt3/lib/libqt-mt.so.3
#20 0xb733a9cf in QTimer::event () from /usr/lib/qt3/lib/libqt-mt.so.3
#21 0xb72b916c in QApplication::internalNotify ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#22 0xb72b9f56 in QApplication::notify () from /usr/lib/qt3/lib/libqt-mt.so.3
#23 0xb7964392 in KApplication::notify () from /opt/kde3/lib/libkdecore.so.4
#24 0xb72ae444 in QEventLoop::activateTimers ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#25 0xb7268573 in QEventLoop::processEvents ()
   from /usr/lib/qt3/lib/libqt-mt.so.3
#26 0xb72cfcf0 in QEventLoop::enterLoop () from /usr/lib/qt3/lib/libqt-mt.so.3
#27 0xb72cfb86 in QEventLoop::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#28 0xb72b8cdf in QApplication::exec () from /usr/lib/qt3/lib/libqt-mt.so.3
#29 0x0804a32c in QObject::checkConnectArgs ()
#30 0xbfb3f844 in ?? ()
#31 0xbfb3f83c in ?? ()
#32 0x00000000 in ?? ()
Comment 1 Bram Schoenmakers 2008-04-10 18:27:28 UTC
And what exactly were you doing prior to the crash? Is it reproducible?
Comment 2 Engelbert Kufleitner 2008-04-10 22:06:38 UTC
Am Donnerstag, den 10.04.2008, 16:27 +0000 schrieb Bram Schoenmakers:
[bugs.kde.org quoted mail]

I'm not aware of doing anything before the crash. I started kde several
times, I removed (renamed) kmailrc and kmail.eventsrc, but though it
crashes, when I start it e. g. from the panel and even from the console.
Perhaps there's an incompatibility with update-rpms, but yast doesn't
warn about any unresolved dependencies?
Comment 3 Bram Schoenmakers 2008-04-10 22:46:58 UTC
Bug 82491 may be related.
Comment 4 Bram Schoenmakers 2008-06-22 00:39:59 UTC
Is this still an issue?
Comment 5 Bram Schoenmakers 2008-07-28 18:16:16 UTC
Please reopen if this is still an issue and if you have steps to reproduce.
Comment 6 Engelbert Kufleitner 2008-07-29 15:06:47 UTC
This issue is now resolved by yast online updater for openSuSE 10.3.
Thanks to the openSuSE-community and to the SuSE-team.